# frozen_string_literal: true

class WarehouseSpace < WarehouseAplicationRecord
  belongs_to :warehouse
  has_many :mutations,
           class_name: 'WarehouseSpaceMutation',
           foreign_key: :warehouse_space_id,
           dependent: :destroy

  validates_presence_of :warehouse
  validates_presence_of :quantity

  validates_numericality_of :quantity,
                            only_integer: true,
                            greater_than_or_equal_to: 0,
                            if: :new_record?
  validates_numericality_of :quantity,
                            only_integer: true,
                            unless: :new_record?
end
